package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Test;

public class TestPerson {

    @Test
    public void personTest()
    {
        Person person = new Person(1);
        Assert.assertNotNull(person);
    }


    @Test
    public void getIdTest()
    {
        Person person = new Person(2);
        long expected = 2;
        long actual = person.getID();
        Assert.assertEquals(expected,actual);
    }

    @Test
    public void getNameTest()
    {
        Person person = new Person(3);
        String expected = "jose";
        person.setName(expected);
        String actual = person.getName();
        Assert.assertEquals(expected,actual);
    }

}
