package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Test;

public class InstructorTest {

    @Test
    public void testImplementation()
    {
        Instructor instructor = new Instructor(2);
        Assert.assertTrue(instructor instanceof Teacher);
    }

    @Test
    public void testInheritance()
    {
        Instructor instructor = new Instructor(3);
        Assert.assertTrue(instructor instanceof Person);
    }

    @Test
    public void testTeach()
    {
        Instructor instructor = new Instructor(3);
        double newHours = 5;
        Learner l = new Student(2);
        instructor.teach(l,newHours);
        double actual = ((Student) l).getTotalStudyTime();
        double expected = 5;
        Assert.assertEquals(expected,actual,1);
    }

    @Test
    public void testLecture()
    {
    Instructor instructor = new Instructor(1);
    Student student = new Student(1);
    Student[] arrayStudent = {student};
    instructor.lecture(arrayStudent,4);
    double expected =4;
    double actual = student.getTotalStudyTime();
    Assert.assertEquals(expected,actual,1);
    }
}
